Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.api
Interface Workspace

All Superinterfaces:
  Workspace

    public interface Workspace

extends Workspace

An extension of JCR 2.0's Workspace interface, with a few ModeShape-specific enhancements.

Field Summary

Fields inherited from interface javax.jcr.Workspace
`NAME_ACTIVITIES_NODE, NAME_CONFIGURATIONS_NODE, NAME_JCR_XMLCHARACTERS, NAME_JCR_XMLTEXT, NAME_NODE_TYPES_NODE, NAME_SYSTEM_NODE, NAME_UNFILED_NODE, NAME_VERSION_STORAGE_NODE, NAME_WORKSPACE_ROOT, PATH_ACTIVITIES_NODE, PATH_CONFIGURATIONS_NODE, PATH_NODE_TYPES_NODE, PATH_SYSTEM_NODE, PATH_UNFILED_NODE, PATH_VERSION_STORAGE_NODE, PATH_WORKSPACE_ROOT, RELPATH_JCR_XMLCHARACTERS`

Method Summary
`void` | `reindex()` Crawl and re-index the content in this workspace.
`void` | `reindex(String path)` Crawl and index the content starting at the supplied path in this workspace, to the designated depth.
`Future<Boolean>` | `reindexAsync()` Asynchronously crawl and re-index the content in this workspace.
`Future<Boolean>` | `reindexAsync(String path)` Asynchronously crawl and index the content starting at the supplied path in this workspace, to the designated depth.

Methods inherited from interface javax.jcr.Workspace
`clone, copy, copy, createWorkspace, createWorkspace, deleteWorkspace, getAccessibleWorkspaceNames, getImportContentHandler, getLockManager, getName, getNamespaceRegistry, getNodeTypeManager, getObservationManager, getQueryManager, getSession, getVersionManager, importXML, move, restore`

Method Detail

### reindex

    void reindex()
                 throws RepositoryException

  Crawl and re-index the content in this workspace. This method blocks until the indexing is completed.

  Throws:
    `RepositoryException` - if there is a problem with this session or workspace
  See Also:
    `reindexAsync()`, `reindexAsync(String)`, `reindex(String)`

### reindex

    void reindex(String path)
                 throws RepositoryException

  Crawl and index the content starting at the supplied path in this workspace, to the designated depth.

  Parameters:
    `path` - the path of the content to be indexed
  Throws:
    `IllegalArgumentException` - if the workspace or path are null, or if the depth is less than 1
    `RepositoryException` - if there is a problem with this session or workspace
  See Also:
    `reindex()`, `reindexAsync()`, `reindexAsync(String)`

### reindexAsync

    Future<Boolean> reindexAsync()
                                 throws RepositoryException

  Asynchronously crawl and re-index the content in this workspace.

  Returns:
    a future representing the asynchronous operation; never null
  Throws:
    `RepositoryException` - if there is a problem with this session or workspace
  See Also:
    `reindex()`, `reindex(String)`, `reindexAsync(String)`

### reindexAsync

    Future<Boolean> reindexAsync(String path)
                                 throws RepositoryException

  Asynchronously crawl and index the content starting at the supplied path in this workspace, to the designated depth.

  Parameters:
    `path` - the path of the content to be indexed
  Returns:
    a future representing the asynchronous operation; never null
  Throws:
    `IllegalArgumentException` - if the workspace or path are null, or if the depth is less than 1
    `RepositoryException` - if there is a problem with this session or workspace
  See Also:
    `reindex()`, `reindex(String)`, `reindexAsync()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.